အကြောင်းအရာသို့ ကျော်ရန်

Kling LipSync Text-to-Video

ပေါင်းစည်းရန်

မော်ဒယ် id kling-video/lipsync/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/lipsync/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice_id": "genshin_vindi2"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

နမူနာကဲ့သို့ ဖိုင်များ: ၀.၁၄ $ ၁၄၀ API ခရက်ဒစ် လုပ်ဆောင်မီ သင့်ဖိုင်များကို တိုင်းတာသည် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Kling Lipsync နှင့် Avatars Lipsync #text-to-video

ရွေးချယ်နိုင်သော စက်ဖြင့်ဖန်တီးထားသည့်အသံကို အသုံးပြု၍ ဗီဒီယိုထဲရှိလူက ရိုက်ထည့်ထားသောစာသားကို ပြောစေပြီး အမြန်နှုန်းကို ချိန်ညှိနိုင်သည်

Doitong တွင် ဖန်တီးထားသည်

Doitong အသိုင်းအဝိုင်းက Kling LipSync ဖြင့် ဖန်တီးထားသော အများပြည်သူသုံး လက်ရာများ။ ပရောမ့်ကို တစ်ချက်နှိပ်၍ ပြန်အသုံးပြုပါ။

ပြသထားသော အများပြည်သူသုံး လက်ရာများ: 2
A realistic young Caucasian-looking woman wearing a modest hijab is walking through a modern city... ဗီဒီယို

A realistic young Caucasian-looking woman wearing a modest hijab is walking through a modern city street. She is speaking naturally (audio will be added separately) and expressing admiration and pr...

A realistic young Caucasian-looking woman in a modest hijab is walking calmly through the modern ... ဗီဒီယို

A realistic young Caucasian-looking woman in a modest hijab is walking calmly through the modern city of Grozny. The architecture around her is clean, modern, and impressive, with Dubai-style build...

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည် 88 / 120

နှုတ်ခမ်းလှုပ်ရှားမှုဗီဒီယို ဖန်တီးရန် အသုံးပြုသည့် စာသား။ အက္ခရာ 120 လုံးအထိသာ ရှိရမည်။

•လိုအပ်သည် video_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

နှုတ်ခမ်းလှုပ်ရှားမှုကို တစ်ပြိုင်တည်းဖန်တီးရန် ဗီဒီယို URL။ 100MB အထိရှိသော .mp4 သို့မဟုတ် .mov ဖိုင်များကို လက်ခံပြီး ကြာချိန် 2–60s၊ 720p သို့မဟုတ် 1080p သာ ဖြစ်ရမည်။ အတိုင်းအတာနှစ်ခုစလုံးသည် 720–1920px အတွင်း ဖြစ်ရမည်။ အတည်ပြုစစ်ဆေးမှု မအောင်မြင်ပါက အမှားတစ်ခု ပြန်ပေးသည်။

•လိုအပ်သည်

စကားသံဖန်တီးရန် အသုံးပြုသည့် အသံ၏ သတ်မှတ်အမှတ်အသား။

အဆင့်မြင့် voice_language · voice_speed · enable_safety_checker
voice_language မူလ en

ရွေးချယ်ထားသော Voice ID နှင့် သက်ဆိုင်သည့် ဘာသာစကား။

မူလ 1

စာသားမှ ဗီဒီယိုဖန်တီးရာတွင် အသုံးပြုသည့် စကားပြောနှုန်း။

POST /run/kling-video/lipsync/text-to-video?wait=20 ကုန်ကျစရိတ် → ၀.၁၄ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/lipsync/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice_id": "genshin_vindi2"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Kling LipSync Text-to-Video အကြောင်း

အသံဖိုင်အစား စာသားမှ နှုတ်ခမ်းလှုပ်ရှားမှုနှင့်ကိုက်ညီသော စကားပြောအသံကို ဖန်တီးသည်။ `video_url`၊ အများဆုံး အက္ခရာ 120 ပါသော `text` နှင့် ကြိုတင်သတ်မှတ်ထားသောအသံများစာရင်းမှ ရွေးချယ်ထားသည့် `voice_id` ကို ပေးပါ။ `voice_language` သည် zh သို့မဟုတ် en ဖြစ်ပြီး `voice_speed` သည် 0.8 မှ 2 အထိ ဖြစ်သည်။ မူရင်းဗီဒီယိုသည် .mp4 သို့မဟုတ် .mov ဖြစ်နိုင်ပြီး အများဆုံး 100MB၊ 2 မှ 60 စက္ကန့်နှင့် 720p သို့မဟုတ် 1080p ဖြစ်ရမည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
အကောင့်ခွင့်ပြုချက်ဖြင့်သာ ဘေးကင်းရေးစစ်ဆေးမှုများကို ပိတ်နိုင်သည်။ ခွင့်ပြုချက်မရှိသော တောင်းဆိုချက်များကို အမြဲစစ်ဆေးသည်။
video_urlလိုအပ်သည် video
အမျိုးအစားurl · video
နှုတ်ခမ်းလှုပ်ရှားမှုကို တစ်ပြိုင်တည်းဖန်တီးရန် ဗီဒီယို URL။ 100MB အထိရှိသော .mp4 သို့မဟုတ် .mov ဖိုင်များကို လက်ခံပြီး ကြာချိန် 2–60s၊ 720p သို့မဟုတ် 1080p သာ ဖြစ်ရမည်။ အတိုင်းအတာနှစ်ခုစလုံးသည် 720–1920px အတွင်း ဖြစ်ရမည်။ အတည်ပြုစစ်ဆေးမှု မအောင်မြင်ပါက အမှားတစ်ခု ပြန်ပေးသည်။
textလိုအပ်သည်
အမျိုးအစားstring
စာလုံး ၁၂၀ လုံးထက် မပိုပါ
နှုတ်ခမ်းလှုပ်ရှားမှုဗီဒီယို ဖန်တီးရန် အသုံးပြုသည့် စာသား။ အက္ခရာ 120 လုံးအထိသာ ရှိရမည်။
voice_idလိုအပ်သည်
အမျိုးအစားenum
genshin_vindi2zhinen_xueshengAOTai_shatanggenshin_klee2genshin_kiraraai_kaiyaoversea_male1ai_chenjiahao_712girlfriend_4_speech02chat1_female_new-3chat_0407_5-1cartoon-boy-07uk_boy1cartoon-girl-01PeppaPig_platform
+30 ခု ထပ်မံai_huangzhong_712ai_huangyaoshi_712ai_laoguowang_712chengshu_jiejieyou_pingjingcalm_story1uk_man2laopopo_speech02heainainai_speech02reader_en_m-v1commercial_lady_en_f-v1tiyuxi_xueditiexin_nanyougirlfriend_1_speech02girlfriend_2_speech02zhuxi_speech02uk_oldman3dongbeilaotie_speech02chongqingxiaohuo_speech02chuanmeizi_speech02chaoshandashu_speech02ai_taiwan_man2_speech02xianzhanggui_speech02tianjinjiejie_speech02diyinnansang_DB_CN_M_04-v2yizhipiannan-v1guanxiaofang-v2tianmeixuemei-v1daopianyansang-v1mengwa-v1
စကားသံဖန်တီးရန် အသုံးပြုသည့် အသံ၏ သတ်မှတ်အမှတ်အသား။
voice_languageရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးen
zhen
ရွေးချယ်ထားသော Voice ID နှင့် သက်ဆိုင်သည့် ဘာသာစကား။
voice_speedရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး1
၀.၈ – ၂
စာသားမှ ဗီဒီယိုဖန်တီးရာတွင် အသုံးပြုသည့် စကားပြောနှုန်း။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/lipsync/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 140,
    "usd": "0.14",
    "charged": 140,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice_id": "genshin_vindi2"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
video
object {url, content_type, file_name, file_size}မော်ဒယ်က ထုတ်လုပ်သည့် ဗီဒီယို။

နောက်ထပ် မော်ဒယ်များ: Lipsync နှင့် Avatars

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/kling-video/lipsync/text-to-video.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt